/* 
Theme Name:		 Cosmicposse-Astra-Child
Theme URI:		 http://childtheme-generator.com/
Description:	 Cosmicposse-Astra-Child is a child theme of Astra, created by ChildTheme-Generator.com
Author:			 Jussi Ontero
Author URI:		 http://childtheme-generator.com/
Template:		 astra
Version:		 1.0.0
Text Domain:	 cosmicposse-astra-child
*/

.woocommerce-info {
    display: none;
}
.woocommerce-page ul.products li.product {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    padding: 10px;
}

.wc-product-categories-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 20px;
    justify-content: center;
}

.wc-category-box {
    max-width: 400px;
    text-align: center;
    background: #f8f8f8;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
    transition: transform 0.2s ease-in-out;
}

.wc-category-box:hover {
    transform: translateY(-5px);
}

.wc-category-image {
    width: 100%;
    max-width: 200px; /* Pienempi kuvan koko */
    height: auto;
    border-radius: 8px;
}

.wc-category-box h3 {
    margin-top: 10px;
    font-size: 18px;
    font-weight: bold;
}

.wc-category-box h3 a {
    text-decoration: none;
    color: #333;
}

.wc-category-box h3 a:hover {
    color: #0073e6;
}


.wc-product-list {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.wc-product-list li {
    flex: 1 1 calc(25% - 20px);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    padding: 15px;
    border-radius: 8px;
    background: #fff;
}

.wc-product-list li img {
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
    border-radius: 5px;
}

.wc-product-list li h3 {
    font-size: 1.2em;
    margin: 10px 0;
    color: #333;
}

.wc-product-list li span {
    font-size: 1em;
    font-weight: bold;
    color: #000;
}
.woocommerce-js div.product div.images img{
	max-width: 400px;
}
.woocommerce-js div.product div.images .flex-control-thumbs li img {align-content
	max-width: 150px;
}

